- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# junos_lldp_interface – Manage LLDP interfaces configuration on Juniper JUNOS network devices

New in version 2.4.

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Updated modules released with more functionality
Alternative: | Use junos_lldp_interfaces instead.

## Synopsis

- This module provides declarative management of LLDP interfaces configuration on Juniper JUNOS network devices.

## Requirements

The below requirements are needed on the host that executes this module.

- ncclient (>=v0.5.2)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
active boolean | Choices: no yes ← | Specifies whether or not the configuration is active or deactivated
name - |  | Name of the interface LLDP should be configured on.
provider dictionary |  | Deprecated Starting with Ansible 2.5 we recommend using `connection: network_cli` or `connection: netconf`. For more information please see the Junos OS Platform Options guide. A dict object containing connection details.
| host string / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password string |  | Specifies the password to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port integer | Default: 22 | Specifies the port to use when building the connection to the remote device. The port value will default to the well known SSH port of 22 (for `transport=cli`) or port 830 (for `transport=netconf`) device.
| ssh_keyfile path |  | Specifies the SSH key to use to authenticate the connection to the remote device. This value is the path to the key used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout integer | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| username string |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.
state - | Choices: present ← absent enabled disabled | Value of `present` ensures given LLDP configured on given interfaces and is enabled, for value of `absent` LLDP configuration on given interfaces deleted. Value `enabled` ensures LLDP protocol is enabled on given interfaces and for value of `disabled` it ensures LLDP is disabled on given interfaces.

## Notes

Note

- This module requires the netconf system service be enabled on the remote device being managed.
- Tested against vSRX JUNOS version 15.1X49-D15.4, vqfx-10000 JUNOS Version 15.1X53-D60.4.
- Recommended connection is `netconf`. See the Junos OS Platform Options.
- This module also works with `local` connections for legacy playbooks.
- For information on using CLI and netconf see the Junos OS Platform Options guide
- For more information on using Ansible to manage network devices see the Ansible Network Guide
- For more information on using Ansible to manage Juniper network devices see https://www.ansible.com/ansible-juniper.

## Examples

    - name: Configure LLDP on specific interfaces
      junos_lldp_interface:
        name: ge-0/0/5
        state: present

    - name: Disable LLDP on specific interfaces
      junos_lldp_interface:
        name: ge-0/0/5
        state: disabled

    - name: Enable LLDP on specific interfaces
      junos_lldp_interface:
        name: ge-0/0/5
        state: enabled

    - name: Delete LLDP configuration on specific interfaces
      junos_lldp_interface:
        name: ge-0/0/5
        state: present

    - name: Deactivate LLDP on specific interfaces
      junos_lldp_interface:
        name: ge-0/0/5
        state: present
        active: False

    - name: Activate LLDP on specific interfaces
      junos_lldp_interface:
        name: ge-0/0/5
        state: present
        active: True

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
diff.prepared string | when configuration is changed and diff option is enabled. | Configuration difference before and after applying change. Sample: [edit protocols lldp] + interface ge-0/0/5;

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Ganesh Nalawade (@ganeshrn)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.